Bug 133749 - Slow saving with "support for large sheets enabled" compared to normal
Summary: Slow saving with "support for large sheets enabled" compared to normal
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0
Keywords: perf
Depends on:
Blocks: Calc-large-spreadsheets
  Show dependency treegraph
 
Reported: 2020-06-07 09:05 UTC by Telesto
Modified: 2022-03-08 09:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-06-07 09:05:07 UTC
Description:
Slow saving with "support for large sheets enabled" compared to normal

Steps to Reproduce:
1. Open attachment 161712 [details]
2. Press Save

Actual Results:
30 seconds at 100% CPU and 900 MB ram


Expected Results:
7 seconds at 25CPU and 500 MB ram


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 191288d6a7fb52b31038a21c4e71ee57ffa3bacd
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Felix Schwarz 2020-09-21 07:14:10 UTC
I can reproduce the issue with latest master (2020-09-20_14.51.16). When enabling the "large sheets" option saving takes ~13s instead of just ~6s.

Version: 7.1.0.0.alpha0+
Build ID: 40f42f317757ef02d0a4d1cfd1c4f5bd8583e8e0
CPU threads: 12; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: de-DE (de_DE.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-09-20_14:51:16
Calc: threaded
Comment 2 Xisco Faulí 2021-02-15 18:19:09 UTC
Reproduced in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: cbcec4425e04e3614a2025b49fdc221216ac51d3
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded Jumbo

it takes

real	0m47,333s
user	2m9,033s
sys	0m4,234s

with jumbo enabled and

real	0m19,323s
user	0m30,577s
sys	0m3,072s

without it enabled...
Comment 3 Commit Notification 2022-02-17 11:09:03 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/05259e880db187f6698d6d545504775459d6e96a

optimize blank cell Excel export (tdf#133749)

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.